aboutsummaryrefslogtreecommitdiffstats
path: root/main/xkbcomp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/xkbcomp/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/xkbcomp/APKBUILD')
-rw-r--r--main/xkbcomp/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/xkbcomp/APKBUILD b/main/xkbcomp/APKBUILD
new file mode 100644
index 0000000000..13a7fd3ebe
--- /dev/null
+++ b/main/xkbcomp/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xkbcomp
+pkgver=1.1.1
+pkgrel=0
+pkgdesc="compile XKB keyboard description"
+url="http://xorg.freedesktop.org"
+license="custom"
+depends=
+makedepends="pkgconfig libx11-dev libxkbfile-dev"
+subpackages="$pkgname-doc"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+}
+
+md5sums="38c387bacdc01038c8ac280588792bcf xkbcomp-1.1.1.tar.bz2"